com.amazonaws.codegen.model.service

## Class MapValueType

- java.lang.Object
- - com.amazonaws.codegen.model.service.MapValueType

    public class MapValueType
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MapValueType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocationName()`
`String` `getShape()`
`void` `setLocationName(String locationName)`
`void` `setShape(String shape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapValueType

    public MapValueType()

### Method Detail

#### getShape

    public String getShape()

#### setShape

    public void setShape(String shape)

#### getLocationName

    public String getLocationName()

#### setLocationName

    public void setLocationName(String locationName)